Search
K
workspace v1

Add Party Representation

Add legal representation details for a party in a workspace

post
https://api.pexa.co.uk/partner/api/platformconnect/v1/workspaces/{workspace_id}/representation

Path Parameters

workspace_idstring(uuid)required

Workspace id

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Body

application/json
partyIdstring(uuid)required

The unique identifier of the party

representedBystringrequired

Type of legal representation: * PEXA_SUBSCRIBER_LAW_FIRM - Represented by a PEXA subscriber law firm (subscriber ID extracted from JWT token) * EXTERNAL_LAW_FIRM - Represented by an external (non-PEXA subscriber) law firm * NOT_REPRESENTED - Not represented (requires verification of identity)

Match pattern:^(PEXA_SUBSCRIBER_LAW_FIRM|EXTERNAL_LAW_FIRM|NOT_REPRESENTED)$

externalLawFirmobject
Show Child Parameters
representationIdstring(uuid)

Existing representation ID to reuse (for external law firms only)

referenceNumberstring

Reference number for the representation (required for external law firms when not reusing)

Match pattern:^[a-zA-Z0-9\/\-\\?:().,'#=!"%&*<>;@{+\s]*$

>= 1 characters<= 18 characters

verificationOfIdentitystring

Allowed values: [LAW_FIRM_CERTIFIED, IDENTITY_EVIDENCE]

Match pattern:^(LAW_FIRM_CERTIFIED|IDENTITY_EVIDENCE)$

Example:LAW_FIRM_CERTIFIED

Response

application/json

Accepted - Party representation request queued for async processing

workspaceIdstring(uuid)required

The workspace ID

partyIdstring(uuid)required

The party ID

representationIdstring(uuid)

Representation ID (for EXTERNAL_LAW_FIRM types only)

representedBystring

Type of representation

Allowed values:EXTERNAL_LAW_FIRMPEXA_SUBSCRIBER_LAW_FIRMNOT_REPRESENTED

subscriberIdstring(uuid)

Subscriber ID (for PEXA_SUBSCRIBER_LAW_FIRM only)

externalLawFirmobject

External law firm details (for NEW EXTERNAL_LAW_FIRM only)

Show Child Parameters
verificationOfIdentitystring

Verification of identity method (for NOT_REPRESENTED only)

post/partner/api/platformconnect/v1/workspaces/{workspace_id}/representation

Body

{ "partyId": "a1b2c3d4-e5f6-7890-1234-567890abcdef", "representedBy": "PEXA_SUBSCRIBER_LAW_FIRM" }
 
application/json

Update External Law Firm Representation

Update external law firm representation details (name and address only)

patch
https://api.pexa.co.uk/partner/api/platformconnect/v1/workspaces/{workspace_id}/representation/{representation_id}

Path Parameters

workspace_idstring(uuid)required

Workspace id

representation_idstring(uuid)required

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Body

application/json
namestringrequired

Updated external law firm name

>= 1 characters<= 160 characters

addressobjectrequired
Show Child Parameters

Response

application/json

OK

representationIdstring(uuid)

Unique identifier for the representation

partyIdstring(uuid)

The party identifier

representedBystring

Type of representation

subscriberIdstring(uuid)

PEXA subscriber ID (for PEXA subscriber representations)

externalLawFirmobject
Show Child Parameters
referenceNumberstring

Reference number (for external law firms)

verificationOfIdentitystring

Allowed values: [LAW_FIRM_CERTIFIED, IDENTITY_EVIDENCE]

Match pattern:^(LAW_FIRM_CERTIFIED|IDENTITY_EVIDENCE)$

Example:LAW_FIRM_CERTIFIED

patch/partner/api/platformconnect/v1/workspaces/{workspace_id}/representation/{representation_id}

Body

{ "name": "Updated Law Firm Ltd", "address": { "street": "New Street", "town": "Manchester", "postcode": "M1 2AA" } }
 
application/json

CreateRemortgageWorkspaceRequest

object
referencestringrequired

>= 1 characters<= 25 characters

Example:109344235

propertyobjectrequired
Show Child Parameters
partiesOne Of
arrayrequired

minItems: 1 - Organisation borrower Party or 1 - Individual borrower Parties maxItems: 1 - Organisation borrower Party or 4 - Individual borrower Parties

Variant 1object
Show Child Parameters
participantsarray[object]required

>= 1 items<= 1 items

Show Child Parameters
Example

CreateRemortgageWorkspacePartyDto

object
rolestringrequired

Party Role:

  • BORROWER

Match pattern:^(BORROWER)$

Example

RemortgageIndividualDetails

object
rolestringrequired

Party Role:

  • BORROWER

Match pattern:^(BORROWER)$

typestringrequired

Party Type:

  • INDIVIDUAL

Match pattern:(INDIVIDUAL)

partyDetailsobjectrequired
Show Child Parameters
Example